Bug 1478418 - [RFE] Add support for VM "Restart Guest", for RHV provider
[RFE] Add support for VM "Restart Guest", for RHV provider
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.2
Assigned To: Martin Betak
Ilanit Stein
rhev
: FutureFeature, ZStream
Depends On: 1462803
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 10:09 EDT by Satoe Imaishi
Modified: 2017-10-23 20:17 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1462803
Environment:
Last Closed: 2017-10-23 20:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-08-04 10:11:05 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/597ada0ae7f153d19e8120ab60920bb4425a96f6

commit 597ada0ae7f153d19e8120ab60920bb4425a96f6
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Mon Jun 26 13:33:52 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 10:09:32 2017 -0400

    Merge pull request #52 from matobet/master
    
    Implement :reboot_guest for VM
    (cherry picked from commit 5f46e1d4c1f035ad314f15c2f78868bf04b7ddad)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478418

 .../redhat/infra_manager/ovirt_services/strategies/v3.rb         | 5 +++++
 .../redhat/infra_manager/ovirt_services/strategies/v4.rb         | 5 +++++
 .../providers/redhat/infra_manager/vm/operations/guest.rb        | 9 +++++++++
 spec/models/manageiq/providers/redhat/infra_manager/vm_spec.rb   | 2 +-
 4 files changed, 20 insertions(+), 1 deletion(-)
Comment 3 Ilanit Stein 2017-08-28 07:51:38 EDT
Verified on CFME-5.8.2.0.20170824192913_b09a5f8/RHV-4.1.6-0.1.el7

A RHEL running VM was rebooted, after running power action 'Restart Guest'.
Comment 5 errata-xmlrpc 2017-10-23 20:17:32 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005

Note You need to log in before you can comment on or make changes to this bug.